| ERROR(9P) | ERROR(9P)

NAME

| error – return an error

SYNOPSIS

| size[4] `Rerror` tag[2] ename[s]

DESCRIPTION

The `Rerror` message (there is no `Terror`) is used to return an error string describing the failure of a transaction. It replaces the corresponding reply message that would accompany a successful call; its tag is that of the failing request.

By convention, clients may truncate error messages after `ERRMAX−1` bytes; `ERRMAX` is defined in `<libc.h>`.